﻿using Hotline.FlowEngine.Workflows;
using Hotline.Share.Dtos.FlowEngine;
using MediatR;

namespace Hotline.FlowEngine.Notifies
{
    public class WorkflowNotify : INotification
    {
        public Workflow Workflow { get; set; }
    }

    public class StartWorkflowNotify : WorkflowNotify
    {
        public BasicWorkflowDto Dto { get; set; }
    }

    public class AcceptWorkflowNotify : WorkflowNotify
    {

    }

    public class NextStepNotify : WorkflowNotify
    {
        public BasicWorkflowDto Dto { get; set; }
    }

    /// <summary>
    /// 汇总节点可接办
    /// </summary>
    public class CountersignEndAssigned : WorkflowNotify
    {

    }



    public record PreviousStepNotify(PreviousWorkflowDto Data) : INotification;

}
